// 使用的接口  开始
//新增订单
export const addOrder = (data) => {
	return uni.$u.http.post(`/order/order/add`, data)
}

//获取科室列表
export const getDepartmentList = (params) => {
	return uni.$u.http.get(`/info/hospitalDepartment/list`, {
		params: params
	})
}

//获取订单列表
export const getOrderList = (params) => {
	return uni.$u.http.get(`/order/order/page`, {
		params: params
	})
}

//获取订单状态枚举
export const getOrderStatus = (params) => {
	return uni.$u.http.get(`/order/order/enum`, {
		params: params
	})
}

// 获取服务单位枚举
export const getServiceUnit = (params) => {
	return uni.$u.http.get(`/service/serviceProduct/enum`, {
		params: params
	})
}

//获得订单详情
export const getOrderDetail = (id) => {
	return uni.$u.http.get(`/order/order/info/${id}`)
}

//获取隐私协议
export const getPrivacy = (params) => {
	return uni.$u.http.get(`/protocol/info`, {
		params: params
	})
}

//获取默认就诊人
export const getDefaultPatient = () => {
  return uni.$u.http.get(`/patient/patient/getDefaulted`)
}

//取消订单
export const cancelOrder = (id) => { 
	return uni.$u.http.post(`/order/order/cancel/${id}`)
}





// 使用的接口  结束

